Package de.gebit.integrity.runner.exceptions

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.gebit.integrity.runner.exceptions.ValidationException

- All Implemented Interfaces:
    `Serializable`

      public class ValidationException
      extends RuntimeException

  Validiation exception which indicates a validation result where progressing should not continue.
  Author:
    tilois - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationException​(String aMessage)` | Creates a validation exception with the given message.
    `ValidationException​(String aMessage, Throwable aCause)` | Creates a validation exception with the given cause and message.
    `ValidationException​(String aMessage, Throwable aCause, org.eclipse.xtext.nodemodel.ICompositeNode aNode)` | Creates a validation exception with the given cause, message and the the node causing the validation failure.
    `ValidationException​(String aMessage, org.eclipse.xtext.nodemodel.ICompositeNode aNode)` | Creates a validation exception with the given message and the the node causing the validation failure.
    `ValidationException​(Throwable aCause)` | Creates a validation exception with the given cause.
    `ValidationException​(Throwable aCause, org.eclipse.xtext.nodemodel.ICompositeNode aNode)` | Creates a validation exception with the given cause and the the node causing the validation failure.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.nodemodel.ICompositeNode` | `getOriginNode()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException​(String aMessage)

      Creates a validation exception with the given message.
      Parameters:
        `aMessage` - Message for the validation exception.

    - #### ValidationException

          public ValidationException​(Throwable aCause)

      Creates a validation exception with the given cause.
      Parameters:
        `aCause` - Cause of the validation exception.

    - #### ValidationException

          public ValidationException​(String aMessage,
                                     Throwable aCause)

      Creates a validation exception with the given cause and message.
      Parameters:
        `aMessage` - Message for the validation exception.
        `aCause` - Cause of the validation exception.

    - #### ValidationException

          public ValidationException​(String aMessage,
                                     org.eclipse.xtext.nodemodel.ICompositeNode aNode)

      Creates a validation exception with the given message and the the node causing the validation failure.
      Parameters:
        `aMessage` - Message for the validation exception.
        `aNode` - Node causing the validation exception.

    - #### ValidationException

          public ValidationException​(Throwable aCause,
                                     org.eclipse.xtext.nodemodel.ICompositeNode aNode)

      Creates a validation exception with the given cause and the the node causing the validation failure.
      Parameters:
        `aCause` - Cause of the validation exception.
        `aNode` - Node causing the validation exception.

    - #### ValidationException

          public ValidationException​(String aMessage,
                                     Throwable aCause,
                                     org.eclipse.xtext.nodemodel.ICompositeNode aNode)

      Creates a validation exception with the given cause, message and the the node causing the validation failure.
      Parameters:
        `aMessage` - Message for the validation exception.
        `aCause` - Cause of the validation exception.
        `aNode` - Node causing the validation exception.

  - ### Method Detail

    - #### getOriginNode

          public org.eclipse.xtext.nodemodel.ICompositeNode getOriginNode()